Bug 1118051 - Add switch to disable pre-hashed password checking
Summary: Add switch to disable pre-hashed password checking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 22:09 UTC by Noriko Hosoi
Modified: 2015-03-05 09:37 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:37:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-07-09 22:09:29 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47753

By default, 389 DS doesn't allow pre-hashed passwords to be set by anyone other than Directory Manager.  This privilege can be delegated to other users by adding them to the Password Administrators group.  This works fine for most cases, but there are cases where one might want to allow anyone to set pre-hashed passwords.  An example is the FreeIPA project, who has their own SLAPI plug-in that controls pre-hashed password checking.  We should add a switch to completely disable pre-hashed password checking to support this case.

Comment 4 Amita Sharma 2014-12-11 14:16:56 UTC
This is tested while testing password administrator feature.
Marking this bug as VERIFIED.

Comment 6 errata-xmlrpc 2015-03-05 09:37:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.